+2003-06-15 Alexandre Duret-Lutz <adl@gnu.org>
+
+ * tests/nogzip.test, tests/nogzip2.test: New files.
+ * tests/Makefile.am (TESTS): Add nogzip.test and nogzip2.test
+
2003-06-15 Akim Demaille <akim@epita.fr>
* automake.in (&make_paragraphs): Define %GZIP%.
nodepcomp.test \
nodist.test \
nodist2.test \
+nogzip.test \
+nogzip2.test \
noinst.test \
noinstdir.test \
nolink.test \
nodepcomp.test \
nodist.test \
nodist2.test \
+nogzip.test \
+nogzip2.test \
noinst.test \
noinstdir.test \
nolink.test \
--- /dev/null
+#! /bin/sh
+# Copyright (C) 2003 Free Software Foundation, Inc.
+#
+# This file is part of GNU Automake.
+#
+# GNU Automake is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Automake is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Automake; see the file COPYING. If not, write to
+# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+# Check support for no-dist-gzip
+
+. ./defs || exit 1
+
+set -e
+
+cat > configure.in << 'END'
+AC_INIT([nogzip], [1.0])
+AM_INIT_AUTOMAKE([no-dist-gzip dist-bzip2])
+AC_CONFIG_FILES([Makefile])
+AC_OUTPUT
+END
+
+cat > Makefile.am << 'END'
+test: distcheck
+ test $(DIST_ARCHIVES) = nogzip-1.0.tar.bz2
+ test -f $(DIST_ARCHIVES)
+END
+
+$ACLOCAL
+$AUTOCONF
+$AUTOMAKE
+./configure
+$MAKE test
--- /dev/null
+#! /bin/sh
+# Copyright (C) 2003 Free Software Foundation, Inc.
+#
+# This file is part of GNU Automake.
+#
+# GNU Automake is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Automake is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Automake; see the file COPYING. If not, write to
+# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+# Check diagnostic for no-dist-gzip without dist-*.
+
+. ./defs || exit 1
+
+set -e
+
+cat > configure.in << 'END'
+AC_INIT([nogzip], [1.0])
+AM_INIT_AUTOMAKE([no-dist-gzip])
+AC_CONFIG_FILES([Makefile])
+AC_OUTPUT
+END
+
+: > Makefile.am
+
+$ACLOCAL
+$AUTOMAKE 2>stderr && exit 1
+cat stderr
+grep 'configure.in:2:.*no-dist-gzip' stderr
+
+echo 'AUTOMAKE_OPTIONS = dist-bzip2' > Makefile.am
+$AUTOMAKE